# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'envvy/version'

Gem::Specification.new do |spec|
  spec.name          = "envvy"
  spec.version       = Envvy::VERSION
  spec.authors       = ["Guillaume Balaine", "Finexkap"]
  spec.email         = ["igosuki@gmail.com", "dev@finexkap.com"]
  spec.summary       = %q{Rails back and front env variable loader}
  spec.description   = %q{Load environment variables from various sources within the Rails initialization process}
  spec.homepage      = "http://github.com/nexkap/envvy"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'rails', '>= 3'

  spec.add_development_dependency "filewatch", "~>0"
  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency 'minitest', '~> 5.6'
  spec.add_development_dependency 'minitest-reporters', '~> 1.0'
  spec.add_development_dependency 'capybara', "~> 2.4"
  spec.add_development_dependency 'poltergeist', "~> 1"
end
